This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 830693 - SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file /usr/lib/systemd/system/nmb.service.
SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ccc7f0b5ad8216f453c9580b8a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 04:32 EDT by mamii
Modified: 2012-06-16 20:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:04:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mamii 2012-06-11 04:32:55 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.2-1.fc17.x86_64
time:           Mon 11 Jun 2012 09:31:52 AM CET

description:
:SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file /usr/lib/systemd/system/nmb.service.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed getattr access on the nmb.service file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep system-config-s /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:sambagui_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:systemd_unit_file_t:s0
:Target Objects                /usr/lib/systemd/system/nmb.service [ file ]
:Source                        system-config-s
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-6.fc17.x86_64
:Target RPM Packages           samba-3.6.5-86.fc17.1.x86_64
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.2-1.fc17.x86_64 #1 SMP
:                              Sat Jun 9 19:03:08 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 11 Jun 2012 09:29:19 AM CET
:Last Seen                     Mon 11 Jun 2012 09:29:19 AM CET
:Local ID                      5ba47d95-5f27-4eed-b327-190c91b2abd7
:
:Raw Audit Messages
:type=AVC msg=audit(1339403359.103:120): avc:  denied  { getattr } for  pid=4603 comm="system-config-s" path="/usr/lib/systemd/system/nmb.service" dev="dm-2" ino=1199074 scontext=system_u:system_r:sambagui_t:s0-s0:c0.c1023 tcontext=system_u:object_r:systemd_unit_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1339403359.103:120): arch=x86_64 syscall=stat success=yes exit=0 a0=1c4c700 a1=7ffff0cbdd90 a2=7ffff0cbdd90 a3=7379732f646d6574 items=0 ppid=1 pid=4603 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=system-config-s exe=/usr/bin/python2.7 subj=system_u:system_r:sambagui_t:s0-s0:c0.c1023 key=(null)
:
:Hash: system-config-s,sambagui_t,systemd_unit_file_t,file,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-11 04:54:20 EDT
Fixed in selinux-policy-3.10.0-130.fc17
Comment 2 Miroslav Grepl 2012-06-11 04:54:59 EDT
You can fix it for now using

# chcon -t samba_unit_file_t /usr/lib/systemd/system/nmb.service
Comment 3 Fedora Update System 2012-06-11 17:02:38 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 4 Fedora Update System 2012-06-15 19:59:36 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-16 20:04:34 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.